package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 地面诊断模型信息对象 phm_ground_diagnosis_model
 *
 * @author phm
 * @date 2023-08-22
 */
public class GroundDiagnosisModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 事件代码
     */
    @Excel(name = "事件代码")
    private String code;

    /**
     * 判据
     */
    @Excel(name = "判据")
    private String criteria;

    /**
     * 最少持续时间
     */
    @Excel(name = "最少持续时间")
    private String minDuration;

    /**
     * 所属系统
     */
    @Excel(name = "所属系统")
    private String systemSource;

    /**
     * 所属LRU
     */
    @Excel(name = "所属LRU")
    private String lruSource;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    @Excel(name = "数据是否删除", readConverterExp = "1=：删除，0有效")
    private Long isDelete;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCriteria(String criteria) {
        this.criteria = criteria;
    }

    public String getCriteria() {
        return criteria;
    }

    public void setMinDuration(String minDuration) {
        this.minDuration = minDuration;
    }

    public String getMinDuration() {
        return minDuration;
    }

    public void setSystemSource(String systemSource) {
        this.systemSource = systemSource;
    }

    public String getSystemSource() {
        return systemSource;
    }

    public void setLruSource(String lruSource) {
        this.lruSource = lruSource;
    }

    public String getLruSource() {
        return lruSource;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("code", getCode())
                .append("criteria", getCriteria())
                .append("minDuration", getMinDuration())
                .append("systemSource", getSystemSource())
                .append("lruSource", getLruSource())
                .append("isDelete", getIsDelete())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
